Subject: Should SPARC use cpuidle? (was: linux-next: build failure after merge of the final tree (acpi tree related))

From: Len Brown <[email-masked]>
Date: Tue, 12 Feb 2013 13:01:31 -0500

On 02/12/2013 12:35 PM, Sam Ravnborg wrote:
>>> Signed-off-by: Stephen Rothwell <[email-masked]>
>>> ---
>>>  arch/sparc/include/asm/processor.h | 2 ++
>>>  1 file changed, 2 insertions(+)
>>>
>>> diff --git a/arch/sparc/include/asm/processor.h b/arch/sparc/include/asm/processor.h
>>> index 34baa35..622cfa5 100644
>>> --- a/arch/sparc/include/asm/processor.h
>>> +++ b/arch/sparc/include/asm/processor.h
>>> @@ -7,6 +7,8 @@
>>>  #endif
>>>  
>>>  #define nop() 		__asm__ __volatile__ ("nop")
>>> +#ifndef __ASSEMBLY__
>>>  extern void (*sparc_idle)(void);
>>> +#endif
>>>  
>>>  #endif
>>>
>>
>> Thank you Stephen!
>>
>> The last time I compiled a sparc kernel was in 1993:-)
>>
>> I've added your fix and Dave's Ack to this patch,
>> and updated it in my next branch.
> 
> Hi Len.
> 
> Can you please move the definition of sparc_idle to processor_32.h
> It is sparc32 specific - and then we do not need the __ASSEMBLY__ guards
> as the sparc32 variant are not used from assembler.

sure, let me know if attached works.

> Do you btw. have any hints how I can convert to the cpu_idle thing you hinted?

If you have exactly 1 idle state, then cpuidle isn't that interesting,
except, perhaps the standard residency counters.  If you have multiple
states to choose from, cpuidle becomes more valuable.

There are lots of cpuidle users now, including x86's intel_idle,
processor_idle, and the entire ARM tree.

In my tree right now is a patch to convert APM to cpuidle --
though as nobody has tested it yet I can't guarantee it is correct.

patches/issues related to idle should to to [email-masked] (on cc)

thanks,
-Len